Summary: Finds and transfers RPM files for a specified program.
Name: rpmfind
Version: 1.7
Release: 4.9
Group: Applications/System
Source: ftp://rpmfind.net/pub/rpmfind/rpmfind-%{version}.tar.gz
URL: http://rpmfind.net/linux/rpm2html/rpmfind.html
License: W3C license (BSD like).
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: libxml2
BuildRequires: libxml2-devel
Provides: rpmfind
Patch0: rpmfind.libxml2.patch

%description
Rpmfind will query the local RPM database, or will request the
associated RDF file for a program on a remote database, for
information on a specified program. Rpmfind will tell you what
packages are needed to install the program to satisfy all dependencies
and the size of the packages (so you can estimate download time).
Rpmfind can even download the packages for you.

%prep
%setup -q
%patch0 -p0
%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/{%{_mandir}/man1,%{_bindir}}
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES BUGS Copyright README TODO 
%{_mandir}/*/*
/usr/bin/rpmfind

%changelog
* Thu Apr 11 2002 Tim Powers <timp@redhat.com>
- rebuild to shake bad dep

* Fri Feb  8 2002 Jeff Johnson <jbj@redhat.com>
- rebuild against rpm-4.0.4 for errata.

* Wed Jan 02 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- rebuild against newer libs

* Wed Jul 25 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Don't define version on top
- Fix spelling error in description
- Use %%{_mandir}
- Use %%configure and %%makeinstall
- It was using a bogus group
- Don't set packager
- s/Copyright/License/
- Use %%{_tmppath}
- Don't define docdir
- Don't install the docs, include them the standard way

* Tue Jul 24 2001 Daniel Veillard <veillard@redhat.com>
- new release: 1.7
- serious cleanup of --autoupgrade should now be able to
  fully upgrade from one os revision to the next one
- added option --upgradefrom
- numerous patches and bugfixes

* Wed Oct  6 1999 Daniel Veillard <Daniel.Veillard@imag.fr>
- Preparing 1.3 release
- Corrected a problem with the man installation
- Removed XML and WWW code and reuses libwww and libxml

* Fri Apr  8 1999 Daniel Veillard <Daniel.Veillard@imag.fr>
- Added man page provided by Emmanuel Rouat

* Fri Apr  2 1999 Jeff Johnson <jbj@redhat.com>
- repackage for Red Hat 6.0.
